/* Global Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
  background: #111;
  color: #ffffff;
  line-height: 1.6;
  background-image: url(images/DevanDavis.jpg);
  background-position: 50% 20%;
  height: 100vh;
  background-size: cover;
  background-repeat: no-repeat;
}

.lighting {
  background: #111;
  color: #ffffff;
  line-height: 1.6;
  background-image: url(images/guitar.png);
  background-position: 50%;
  height: 100vh;
  background-size: cover;
  background-repeat: no-repeat;
}

.music {
  background: #111;
  color: #ffffff;
  line-height: 1.6;
  background-image: url(images/guitarimage.jpg);
  background-position: center;
  height: 100vh;
  background-size: cover;
  background-repeat: no-repeat;
}

.downloads {
  background: #111;
  color: #ffffff;
  line-height: 1.6;
  background-image: url(images/guitar.png);
  background-position: center center;
  height: 100vh;
  background-size: cover;
  background-repeat: no-repeat;
}

@media (max-width:768px) {

  header {
  background-color: rgba(0, 0, 0, .9);
  padding: 1rem 1rem 0rem 2rem ;
  display: flex;
  text-align: center;
  position: relative;
  top: 0;
  z-index: 100;
  justify-content: space-between;
}

header h1 {
  color: #0883ff;
  font-size: 2.2rem;
  font-weight:lighter;
  text-shadow:
    0 0 7px #0883ff,
    0 0 10px #0883ff,
    0 0 21px #0883ff,
    0 0 42px #0883ff, /* The main glow color */
    0 0 82px #0883ff
}

  #menuButton {
  border: 2px solid white;
  padding: 18px 18px 15px 18px;
  margin: 0px;
  border-radius: 10px;
  translate: 8% -10%;
  transition: transform .8s ease;
}

#menuButton:hover {
  transform: scale(1.1);
  cursor: pointer;
  background-color: rgb(36, 36, 36);
}

#menuButton:active {
  opacity: .8;
}

.menuBar {
  margin-top: 0px;
  position: fixed;
  right: -250px;
  height: 100%;
  background-color: rgba(0, 0, 0, .9);
  padding:30px;
  justify-content: 0px;
  padding: 0px;
  padding-right: 10rem;
  transition: right .2s ease-out;
  z-index: 1;
  font-weight: lighter;
}

#menuBarItems {
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  padding: 0px;
  margin-left: 0px;
  text-underline-offset: 4px;
  font-size: large;
}

.menuBarWide {
  display: none;
}

ul a {
  padding: 20px 10px;
}

.menuBar.active {
  right: 0vw;
}

nav {
  margin-top: 0.5rem;
  text-underline-offset: 3px;
  display: flex;
  flex-direction: column;
}

nav a {
  color: #ddd;
  margin: 0 1rem;
  text-decoration: none;
  transition: transform .5s;
  width: 20px;
  height: 20px;
}
nav a:hover {
  color: #ff00b7;
  text-decoration: underline;
  transform: scale(1.1);
}

}

@media (min-width:769px) {

  header {
  background-color: rgba(0, 0, 0, .9);
  padding: 1rem 2rem 1rem 2rem ;
  display: flex;
  align-items:center;
  position: sticky;
  width: 100%;
  z-index: 100;
  justify-content:space-between;
}

#menuBarWide {
  padding: 0px 0px;
  translate: -5%;
}

#menuBarItemsWide {
  display: flex;
  justify-content: center;
  padding: 0px 0px;
  margin-left: 0px;
  text-underline-offset: 4px;
  font-size: large;
}

.menuBarWide a {
  color: white;
  padding: 0px;
  margin: 0 2.2vw;
  text-decoration: none;
  transition: transform .8s ease;
}

.menuBarWide a:hover {
  color: #ff00b7;
  text-decoration: underline;
  transform: scale(1.1);
}

header h1 {
  color: #0883ff;
  font-size: 2.2rem;
  font-weight:lighter;
  text-shadow:
    0 0 7px #0883ff,
    0 0 10px #0883ff,
    0 0 21px #0883ff,
    0 0 42px #0883ff, /* The main glow color */
    0 0 82px #0883ff
}

.menuBar {
  display: none;
}
}

/* Hero Section */
.hero {
  margin-left: 2%;
  margin-top: 1%;
  background-color: rgba(0, 0, 0, .9);
  background-size: contain;
  padding: 0px 20px;
  border-radius: 10px;
  margin-bottom: -150px;
  animation: slideInLeft 1s ease;
  width: fit-content;
  height: fit-content;
}

.heroHome {
  display: flex;
  justify-content: center;
  text-align: center;
  animation: slideInLeft 1s ease;
  width: 100vw;
  height: 75vh;
  align-items: center;
}

@keyframes slideInLeft {
  from {
    transform: translateX(-100%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

.hero h2 {
  font-size: 250%;
  background-image: linear-gradient(to right, #ff00b7, #0883ff);
  background-clip: text;
  width: fit-content;
  max-width: 87vw;
  overflow: hidden;
  padding: 0px;
  color: rgba(255, 255, 255, 0);
}

.heroHome h2 {
  font-size: 250%;
  background-image: linear-gradient(to right, #ff00b7, #0883ff);
  background-clip: text;
  padding: 10px;
  text-align: center;
  display: inline;
  width: fit-content;
  max-width: 87vw;
  overflow: hidden;
  color: rgba(255, 255, 255, 0);
  background-color: #000;
}

/* Gallery */
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1rem;
}

.gallery-grid img {
  width: 100%;
  border-radius: 6px;
}

.section-title {
  padding: 10px 10px;
  margin: 10px 10px 0px 5px;
  color: white;
  font-style: italic;
  text-shadow: 
    0 0 4px #0883ff,
    0 0 7px #ff00b7;
  font-weight:bold;
  text-decoration: underline;
}

/* Downloads */
.download-list {
  list-style: none;
}

.download-list li a {
  color: #ff00b7;
  text-decoration: none;
  font-size: 1.1rem;
  display: flex;
  flex-direction: column;
  font-size: larger;
  justify-content: left;
  margin: 0px 10px 15px 10px;
  padding: 0px 10px;
  transition: all .5s ease;
  width: fit-content;
  max-width:80vw;
}

.download-list li a:hover {
background-color: #333333;
border-radius: 5px;
}

.download-list li a:active {
  opacity: .8;
  transform: scale(.99);
}

#socials {
  display: flex;
  width:60%;
  justify-content:space-evenly;
}

.container {
  background-color: rgba(0, 0, 0, .9);
  padding: 0px 0px 10px;
  margin-left: 2%;
  margin-top: 10rem;
  width: 96%;
  height: fit-content;
  border-radius: 10px;
  animation: slideInLeft 1s ease-in-out
}

.containerHome {
  background-color: rgba(0, 0, 0, .9);
  padding: 0px;
  margin: 0px;
  width: fit-content;
  height: fit-content;
  border-radius: 10px;
  animation: slideInLeft 1s ease-in-out
}

footer {
  text-align: center;
  padding: 1rem;
  display: flex;
  justify-content: space-between;
  background: #000;
  color: #888;
  width: 100%;
  position: fixed;
  bottom: 0;
  font-weight: lighter;
}
